Bug 14084 - fglrx update request
: fglrx update request
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fglrx_glx)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-18 23:01 by
Modified: 2008-08-21 11:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-18 23:01:10
Сегодня AMD/ATI выпущен fglrx 8.452, в котором заявлено исправление бага с
артефактами курсора мыши и десктопа:

Resolved Issues

The following section provide a brief description of resolved issues with the 
latest version of the ATI Catalyst Linux software suite. These include:

    * Corruption will no longer be noticed in the lower right corner of the 
display or on the mouse pointer after the system is running for a long period 
of time

https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/catalyst_81_linux.html

Кроме того, fglrx теперь официально поддерживает Xorg 7.3. В Сизифе между тем
по-прежнему только кривой fglrx 8.423. Пожалуйста, соберите новую версию.
------- Comment #1 From 2008-01-18 23:07:12 -------
на мантейнера
------- Comment #2 From 2008-01-19 00:06:36 -------
http://www.unsafe.ru/lakostis/RPMS/ALTLinux/kernel-2.6.24/ - прошу
предварительно проверить работу данного драйвера с ядром 2.6.24. О результатах
доложить сюда же.
------- Comment #3 From 2008-01-19 20:23:32 -------
Ну, спасибо хоть, что починили wide-resolution.
У меня на 
X1200 (wide - 1440x900) + 2.6.24-wks-smp-alt0.9 + fglrx_glx-8.45.2.1 и 
X800GTO (1600x1200) + 2.6.18-ovz-smp-alt18 + fglrx_glx-8.45.2.1
работают чисто - проблем нет.

И не по теме - решили бы вы один раз проблемы xorg+fglrx до конца, или сказали
бы народу каждый свою версию проблем. Чувствую, что скоро самому придётся искать
корень зла, чего я делать не хочу, ибо есть чем заниматься...
------- Comment #4 From 2008-01-23 20:38:46 -------
Так когда будет сборка для текущего сизифовского ядра 2.6.18?
------- Comment #5 From 2008-01-24 23:04:00 -------
Так как возникли сомнения в актуальности бага, подтверждаю: да, очень достало.
Вплоть до того, что для меня его подвисание (и вообще безобразное состояние
fglrx в Alt) может стать причиной для смены рабочего дистрибутива.
------- Comment #6 From 2008-01-24 23:15:57 -------
Присоединяюсь. Прошу также по возможности передать пакет fglrx_glx другому
мейнтейнеру, поскольку его нынешний мейнтейнер признает, что у него нет
мотивации поддерживать пакет, кроме как для собственного использования.
------- Comment #7 From 2008-06-23 20:57:50 -------
есть уже fglrx уже 8.50.1 (в каталистах). решает проблему с deadlock на текущем
сизифном fglrx.

на 8.47.1 ни openoffice, ни glxinfo не отрабатывают, в логи срет сообщениями
вида:
(EE) fglrx(1): [DRI] Locking deadlock.
       Already locked with context 136869172,
       trying to lock with context 2.
(EE) fglrx(1): [DRI] Unlocking inconsistency:
       Context 136869172 trying to unlock lock held by context 2
(EE) fglrx(1): [DRI] Locking deadlock.
       Already locked with context 136869172,
       trying to lock with context 2

как я сказал, сборка новой версии проблему решила.

кстати, это новый баг? или требуем update'а?
------- Comment #8 From 2008-08-21 11:06:50 -------
В сизифе имеется самая последняя версия, доступная на сегодняшний момент
(Catalyst 8.7).